{
  config,
  lib,
  pkgs,
  ...
}: {
  containers.conduit = {
    autoStart = true;
    privateNetwork = true;
    hostAddress = "192.168.100.10";
    localAddress = "192.168.100.11";
    hostAddress6 = "fc00::1";
    localAddress6 = "fc00::2";
    bindMounts = {
      "/var/lib/" = {
        hostPath = "/var/containers/conduit";
        isReadOnly = false;
      };
    };
    config = {
      config,
      lib,
      pkgs,
      ...
    }: {
      # Conduit proper
      services.matrix-conduit = {
        enable = true;
        settings.global = {
          server_name = "stranger.systems";
          allow_registration = false;
          port = 6167;
        };
      };
      # Open the port
      networking.firewall.allowedTCPPorts = [6167];

      system.stateVersion = "24.11";
    };
  };
}
